package com.iamberry.wechat.core.entity.report;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  优惠券领取使用，注册人数统计类
 * @author Administrator
 * @Date 2018-04-20
 */
public class Report  implements  Serializable{
    private static final long serialVersionUID = -1242526547260462555L;
    //统计id
    private Integer reportId;
    //领取优惠券人数
    private Integer reportCouponNumber;
    //优惠券使用人数
    private Integer reportCouponUseNumber;
    //注册人数
    private Integer reportRegisteredNumber;
    //创建时间
    private Date reportCreateTime;
    //修改时间'
    private Date reportUpdateTime;

    public Integer getReportId(){
        return reportId;
    }

    public void setReportId(Integer  reportId){
        this.reportId=reportId;
    }

    public Integer getReportCouponNumber(){
        return reportCouponNumber;
    }

    public void setReportCouponNumber(Integer  reportCouponNumber){
        this.reportCouponNumber=reportCouponNumber;
    }

    public Integer getReportCouponUseNumber(){
        return reportCouponUseNumber;
    }

    public void setReportCouponUseNumber(Integer  reportCouponUseNumber){
        this.reportCouponUseNumber=reportCouponUseNumber;
    }

    public Integer getReportRegisteredNumber(){
        return reportRegisteredNumber;
    }

    public void setReportRegisteredNumber(Integer  reportRegisteredNumber){
        this.reportRegisteredNumber=reportRegisteredNumber;
    }

    public Date getReportCreateTime(){
        return reportCreateTime;
    }

    public void setReportCreateTime(Date  reportCreateTime){
        this.reportCreateTime=reportCreateTime;
    }

    public Date getReportUpdateTime(){
        return reportUpdateTime;
    }

    public void setReportUpdateTime(Date  reportUpdateTime){
        this.reportUpdateTime=reportUpdateTime;
    }
}